﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Sharp_Piano_Player
{
    class NotesTextBox : TextBox
    {
        public string[] GetNotes()
        {
            return this.Text.Split(new char[] {' ', ';'},  StringSplitOptions.RemoveEmptyEntries);
        }

        public override string Text
        {
            get
            {
                return base.Text;
            }
            set
            {
                // Filter text
                StringBuilder SB = new StringBuilder(value);
                SB = SB.Replace("\r", " ");
                SB = SB.Replace("\n", " ");
                SB = SB.Replace("(", string.Empty);
                SB = SB.Replace(")", string.Empty);
                SB = SB.Replace("*", "8+");
                base.Text = SB.ToString();
            }
        }
    }
}
